Page MenuHomePhabricator

[CTU] Add asserts to protect invariants
ClosedPublic

Authored by martong on Nov 30 2018, 9:32 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

martong created this revision.Nov 30 2018, 9:32 AM
a_sidorin accepted this revision.Dec 1 2018, 12:32 PM

More assertions are always good.

This revision is now accepted and ready to land.Dec 1 2018, 12:32 PM
xazax.hun accepted this revision.Dec 4 2018, 5:56 AM
xazax.hun added inline comments.
lib/CrossTU/CrossTranslationUnit.cpp
249 ↗(On Diff #176151)

I wonder if this actually is true. While it is not supported now, we could/might use this to import/merge attributes even without definition.
But of course, I have no hard feelings about having this assert now and remove it later on once other use cases are actually supported.

This revision was automatically updated to reflect the committed changes.